LoadFile("DATA:GUI/Dialogs_Screen.lua")

function CreatePulseImage( name, anim, pos, scale )

	local widget = CreateImage( name, anim, pos )
	
	widget.anim_ext.additional_scale = scale
	widget.anim_ext.pulse_scale = 0.8
	widget.anim_ext.pulse_speed = 0.9
	return widget
	
end

function CreateTutorialText( text, pos, style )
	
	pos =  pos or {-160, -170}
	style = style or "large"
	
	local text = CreateStaticText( "TutorialText", text, pos, style )
	
	text.width = 340
	text.height = 300
	
	return text
end

function CreateTutorialModal( children )

	CloseButton = CreatePushButton( "CloseButton", [[gui/help/close_window.anim]], { 0, 245 } )
	table.insert( children, CloseButton )
	
	TutorialDialog = CreateModalDialog( 
		"TutorialDialog", 
		children, 
		[[GUI\help\background.anim]], 
		{512, 344}  )
		
	TutorialDialog.modal_ext.start_sound = ""

	widgets =
	{
		TutorialDialog,
		MessageBox
	}
	
end

function OnInit()

	World_ShowTutorialDialog( "TutorialDialog" )
	
end
